DOM::HTMLTableCellElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLTableCellElement Class Reference

The object used to represent the `TH` and `TD` elements. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableCellElement:

[legend]
Collaboration diagram for DOM::HTMLTableCellElement:

[legend]
List of all members.

## Public Member Functions
| HTMLTableCellElement (const HTMLTableCellElement &other)
| HTMLTableCellElement (const Node &other)
HTMLTableCellElement & | operator= (const HTMLTableCellElement &other)
HTMLTableCellElement & | operator= (const Node &other)
long | cellIndex () const
| The index of this cell in the row.
void | setCellIndex (long)
| see cellIndex
DOMString | abbr () const
| Abbreviation for header cells.
void | setAbbr (const DOMString &)
| see abbr
DOMString | align () const
| Horizontal alignment of data in cell.
void | setAlign (const DOMString &)
| see align
DOMString | axis () const
| Names group of related headers.
void | setAxis (const DOMString &)
| see axis
DOMString | bgColor () const
| Cell background color.
void | setBgColor (const DOMString &)
| see bgColor
DOMString | ch () const
| Alignment character for cells in a column.
void | setCh (const DOMString &)
| see ch
DOMString | chOff () const
| Offset of alignment character.
void | setChOff (const DOMString &)
| see chOff
long | colSpan () const
| Number of columns spanned by cell.
void | setColSpan (long)
| see colSpan
DOMString | headers () const
| List of `id` attribute values for header cells.
void | setHeaders (const DOMString &)
| see headers
DOMString | height () const
| Cell height.
void | setHeight (const DOMString &)
| see height
bool | noWrap () const
| Suppress word wrapping.
void | setNoWrap (bool)
| see noWrap
long | rowSpan () const
| Number of rows spanned by cell.
void | setRowSpan (long)
| see rowSpan
DOMString | scope () const
| Scope covered by header cells.
void | setScope (const DOMString &)
| see scope
DOMString | vAlign () const
| Vertical alignment of data in cell.
void | setVAlign (const DOMString &)
| see vAlign
DOMString | width () const
| Cell width.
void | setWidth (const DOMString &)
| see width
## Protected Member Functions
| HTMLTableCellElement (HTMLTableCellElementImpl *impl)
## Friends
class | HTMLTableElement

## Detailed Description

The object used to represent the `TH` and `TD` elements.

See the TD element definition in HTML 4.0.

Definition at line 91 of file html_table.h.

## Member Function Documentation

long HTMLTableCellElement::cellIndex | ( |  | ) | const

| The index of this cell in the row. Definition at line 111 of file html_table.cpp.

void HTMLTableCellElement::setCellIndex | ( | long |  | ) |

| see cellIndex This function is obsolete - the cellIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html) Definition at line 117 of file html_table.cpp.

DOMString HTMLTableCellElement::abbr | ( |  | ) | const

| Abbreviation for header cells. See the abbr attribute definition in HTML 4.0. Definition at line 122 of file html_table.cpp.

void HTMLTableCellElement::setAbbr | ( | const DOMString & |  | ) |

| see abbr Definition at line 128 of file html_table.cpp.

DOMString HTMLTableCellElement::align | ( |  | ) | const

| Horizontal alignment of data in cell. See the align attribute definition in HTML 4.0. Definition at line 133 of file html_table.cpp.

void HTMLTableCellElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 139 of file html_table.cpp.

DOMString HTMLTableCellElement::axis | ( |  | ) | const

| Names group of related headers. See the axis attribute definition in HTML 4.0. Definition at line 144 of file html_table.cpp.

void HTMLTableCellElement::setAxis | ( | const DOMString & |  | ) |

| see axis Definition at line 150 of file html_table.cpp.

DOMString HTMLTableCellElement::bgColor | ( |  | ) | const

| Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 155 of file html_table.cpp.

void HTMLTableCellElement::setBgColor | ( | const DOMString & |  | ) |

| see bgColor Definition at line 161 of file html_table.cpp.

DOMString HTMLTableCellElement::ch | ( |  | ) | const

| Alignment character for cells in a column. See the char attribute definition in HTML 4.0. Definition at line 166 of file html_table.cpp.

void HTMLTableCellElement::setCh | ( | const DOMString & |  | ) |

| see ch Definition at line 172 of file html_table.cpp.

DOMString HTMLTableCellElement::chOff | ( |  | ) | const

| Offset of alignment character. See the charoff attribute definition in HTML 4.0. Definition at line 177 of file html_table.cpp.

void HTMLTableCellElement::setChOff | ( | const DOMString & |  | ) |

| see chOff Definition at line 183 of file html_table.cpp.

long HTMLTableCellElement::colSpan | ( |  | ) | const

| Number of columns spanned by cell. See the colspan attribute definition in HTML 4.0. Definition at line 188 of file html_table.cpp.

void HTMLTableCellElement::setColSpan | ( | long |  | ) |

| see colSpan Definition at line 194 of file html_table.cpp. References QString::number().

DOMString HTMLTableCellElement::headers | ( |  | ) | const

| List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.0. Definition at line 202 of file html_table.cpp.

void HTMLTableCellElement::setHeaders | ( | const DOMString & |  | ) |

| see headers Definition at line 208 of file html_table.cpp.

DOMString HTMLTableCellElement::height | ( |  | ) | const

| Cell height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 213 of file html_table.cpp.

void HTMLTableCellElement::setHeight | ( | const DOMString & |  | ) |

| see height Definition at line 219 of file html_table.cpp.

bool HTMLTableCellElement::noWrap | ( |  | ) | const

| Suppress word wrapping. See the nowrap attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 224 of file html_table.cpp.

void HTMLTableCellElement::setNoWrap | ( | bool |  | ) |

| see noWrap Definition at line 230 of file html_table.cpp.

long HTMLTableCellElement::rowSpan | ( |  | ) | const

| Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.0. Definition at line 236 of file html_table.cpp.

void HTMLTableCellElement::setRowSpan | ( | long |  | ) |

| see rowSpan Definition at line 242 of file html_table.cpp. References QString::number().

DOMString HTMLTableCellElement::scope | ( |  | ) | const

| Scope covered by header cells. See the scope attribute definition in HTML 4.0. Definition at line 250 of file html_table.cpp.

void HTMLTableCellElement::setScope | ( | const DOMString & |  | ) |

| see scope Definition at line 256 of file html_table.cpp.

DOMString HTMLTableCellElement::vAlign | ( |  | ) | const

| Vertical alignment of data in cell. See the valign attribute definition in HTML 4.0. Definition at line 261 of file html_table.cpp.

void HTMLTableCellElement::setVAlign | ( | const DOMString & |  | ) |

| see vAlign Definition at line 267 of file html_table.cpp.

DOMString HTMLTableCellElement::width | ( |  | ) | const

| Cell width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 272 of file html_table.cpp.

void HTMLTableCellElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 278 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:37 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001